# [PATCH] bisect run: die if no command is given

2 messages from 2017-11-12 to 2017-11-13. Participants: Stephan Beyer, Junio C Hamano.
Thread: https://gitlist.dev/t/47184

## Stephan Beyer, 2017-11-12 20:55

Subject: [PATCH] bisect run: die if no command is given
Message-ID: <20171112205533.9593-1-s-beyer@gmx.net>
URL: https://gitlist.dev/e/20171112205533.9593-1-s-beyer%40gmx.net

```
It was possible to invoke "git bisect run" without any command.
This considers all commits as good commits since "$@"'s return
value for empty $@ is 0.

This is most probably not what a user wants (otherwise she would
invoke "git bisect run true"), so not providing a command now
results in an error.

Signed-off-by: Stephan Beyer <s-beyer@gmx.net>
---
 git-bisect.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/git-bisect.sh b/git-bisect.sh
index 0138a8860..a69e43656 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -450,6 +450,8 @@ bisect_replay () {
 bisect_run () {
 	bisect_next_check fail
 
+	test -n "$*" || die "$(gettext "bisect run failed: no command provided.")"
+
 	while true
 	do
 		command="$@"
-- 
2.15.0.165.g0dc13a7db.dirty


```

## Junio C Hamano, 2017-11-13 03:59

Subject: Re: [PATCH] bisect run: die if no command is given
Message-ID: <xmqqefp2akww.fsf@gitster.mtv.corp.google.com>
URL: https://gitlist.dev/e/xmqqefp2akww.fsf%40gitster.mtv.corp.google.com
In-Reply-To: <20171112205533.9593-1-s-beyer@gmx.net>

```
Stephan Beyer <s-beyer@gmx.net> writes:

> It was possible to invoke "git bisect run" without any command.
> This considers all commits as good commits since "$@"'s return
> value for empty $@ is 0.
>
> This is most probably not what a user wants (otherwise she would
> invoke "git bisect run true"), so not providing a command now
> results in an error.
>
> Signed-off-by: Stephan Beyer <s-beyer@gmx.net>
> ---

Makes sense to me.  Thanks, will queue.

>  git-bisect.sh | 2 ++
>  1 file changed, 2 insertions(+)
>
> diff --git a/git-bisect.sh b/git-bisect.sh
> index 0138a8860..a69e43656 100755
> --- a/git-bisect.sh
> +++ b/git-bisect.sh
> @@ -450,6 +450,8 @@ bisect_replay () {
>  bisect_run () {
>  	bisect_next_check fail
>  
> +	test -n "$*" || die "$(gettext "bisect run failed: no command provided.")"
> +
>  	while true
>  	do
>  		command="$@"

```
